Subject: Re: bug#57229: ‘guix system image’ forces commit authentication?

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Wed, 27 Nov 2024 19:01:57 +0100

Janneke Nieuwenhuizen writes:

Hi!

> Mathieu Othacehe writes:
>
> Hello,
>
>>> λ ./pre-inst-env guix system image -t iso9660 
>>> gnu/system/install.scm --disable-authentication
>>> guix system: error: disable-authentication: unrecognized option
>>
>> That's probably a side effect of https://issues.guix.gnu.org/53210 that
>> includes the "current-guix" inside the installation image instead of the
>> latest Guix snapshot.
>>
>> To build "current-guix", we rely on the channel-build-system and
>> ultimately the latest-channel-instance procedure. This procedure takes an
>> "authenticate?" argument.
>>
>> Now passing this option will be tricky as we do not call
>> latest-channel-instance directly like in (guix scripts pull) but rather
>> rely on the "current-guix" variable.
>>
>> I'll think more about it.
>
> Just got hit by this
>
> Git error: cannot locate remote-tracking branch 'origin/keyring'
>
> too, working on a fresh clone.  The only way I found around it is by
> first doing
>
>    make update-guix
>
> before running "guix sytem image".  This is not required in my old clone
> and I cannot figure out the differences between those git trees.  Ideas?

Here's a workaround:

--8<---------------cut here---------------start------------->8---
18:58:11 janneke@glimdal:~/src/guix/master 
$ guix pull --url=$PWD
18:58:11 janneke@glimdal:~/src/guix/master 
./pre-inst-env guix system image --image-type=iso9660 \
   --system=i686-linux gnu/system/install.scm
--8<---------------cut here---------------end--------------->8---

not great, but at least I can build system images.  And it should
(might?) give a clue to a nicer solution.

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com